## debian-installer-utils 1.88ubuntu2.3

=== debian/changelog ===
debian-installer-utils (1.88ubuntu2.3) precise; urgency=medium

  * Add support for --- as a user-params separator (for parameters on the
    kernel command-line) for parameters to pass on to the installed system.
    (LP: #1402042) 

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 08 Jul 2015 13:50:44 -0400

debian-installer-utils (1.88ubuntu2.2) precise; urgency=medium

  * fetch-url-methods/http: Cope with the slightly different no-such-file
    output produced by GNU wget, and with it needing to be invoked using
    --no-verbose rather than -q (LP: #1172101).
  * Add HTTPS support to fetch-url, which will only work if d-i has been
    built with GNU wget; debian-installer/allow_unauthenticated_ssl implies
    the --no-check-certificate option (LP: #833994).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jun 2014 16:35:11 +0100

## debian-installer-utils 1.89

=== debian/changelog ===
debian-installer-utils (1.89) unstable; urgency=low

  [ Scott Moser ]
  * Add --quiet to dpkg-divert calls in chroot_setup (LP: #912431).

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Jan 2012 12:19:04 +0000

## debian-installer-utils 1.91ubuntu5

=== debian/changelog ===
debian-installer-utils (1.91ubuntu5) quantal-proposed; urgency=low

  * prevent list-devices-linux from returning entries for extended partitions
    (ID_PART_ENTRY_TYPE 0x5,0xf and 0x85) (LP: #1028905)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 27 Sep 2012 13:11:57 +0200

debian-installer-utils (1.91ubuntu4) quantal; urgency=low

  * Remove unnecessary sourcing of preseed.sh from fetch-url (LP: #1049535).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Sep 2012 12:28:43 +0100

debian-installer-utils (1.91ubuntu3) quantal; urgency=low

  * make sure we also detect platform-omap MMCs

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 20 Jul 2012 19:29:57 +0200

debian-installer-utils (1.91ubuntu2) quantal; urgency=low

  * log-output: Always install a no-op SIGCHLD handler, in case the
    subsidiary process starts a daemon which does not fully disconnect its
    standard file descriptors (LP: #1021293).  See also the changelog for
    1.36ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Jul 2012 17:12:34 +0100

debian-installer-utils (1.91ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "mmc-partition" type for detecting partitions on MMC
      devices.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Jun 2012 10:19:39 +0100

debian-installer-utils (1.91) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Welsh (cy.po) by Daffyd Tomos

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jun 2012 06:18:40 +0200

debian-installer-utils (1.90) unstable; urgency=low

  * Team upload

  [ Samuel Thibault ]
  * Install gnu-mach-color terminfo entry instead of mach-color.

  [ Updated translations ]
  * Asturian (ast.po) by Mikel González
  * Bulgarian (bg.po) by Damyan Ivanov
  * Tibetan (bo.po) by Tennom
  * Estonian (et.po) by Mattias Põldaru
  * Galician (gl.po) by Jorge Barreiro
  * Indonesian (id.po) by Mahyuddin Susanto
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Macedonian (mk.po) by Arangel Angov
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Thu, 14 Jun 2012 22:15:49 +0200

debian-installer-utils (1.89ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "mmc-partition" type for detecting partitions on MMC
      devices.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 May 2012 12:17:11 +0100

## debian-installer-utils 1.92%2Bdeb7u1

=== debian/control ===
Source: debian-installer-utils
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
Vcs-Browser: http://git.debian.org/?p=d-i/debian-installer-utils.git
Vcs-Git: git://git.debian.org/d-i/debian-installer-utils.git

Package: di-utils-shell
Architecture: all
Depends: ${misc:Depends}, di-utils (>= 1.62)
XB-Installer-Menu-Item: 95000
Description: Execute a shell
Package-Type: udeb

Package: di-utils-reboot
Architecture: all
Depends: ${misc:Depends}
XB-Installer-Menu-Item: 99500
Description: Reboot
Package-Type: udeb

Package: di-utils-exit-installer
Architecture: all
Depends: ${misc:Depends}
Priority: extra
XB-Installer-Menu-Item: 99000
Description: Exit installer
Package-Type: udeb

Package: di-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Miscellaneous utilities for the debian installer
Package-Type: udeb

Package: di-utils-mapdevfs
Architecture: any
Depends: ${shlibs:Depends}
Description: mapdevfs utility for the debian installer
Package-Type: udeb

Package: di-utils-terminfo
Architecture: any
Description: Terminfo entries needed by newt/slang in debian installer
Package-Type: udeb

## debian-installer-utils 1.92+deb7u1

=== debian/changelog ===
debian-installer-utils (1.92+deb7u1) testing-proposed-updates; urgency=low

  * Fix procfs mounting on GNU/kFreeBSD: it's called linprocfs, rather
    than procfs (Closes: #696901). Thanks, Steven Chamberlain!

  [ Updated translations ]
  * Asturian (ast.po) by ivarela
  * Catalan (ca.po) by Jordi Mallach
  * Galician (gl.po) by Jorge Barreiro

 -- Christian Perrier <bubulle@debian.org>  Mon, 21 Jan 2013 22:18:39 +0100

debian-installer-utils (1.92) unstable; urgency=low

  [ Samuel Thibault ]
  * Fix gnu-mach-color terminfo name into mach-gnu-color.

  [ Christian Perrier ]
  * Add myself to Uploaders.
  * Replace XC-Package-Type by package-Type.

 -- Christian Perrier <bubulle@debian.org>  Tue, 07 Aug 2012 21:59:19 +0200

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

TERMNAMES = a/ansi d/dumb v/vt102

ifeq ($(DEB_HOST_ARCH_OS),linux)
TERMNAMES += l/linux
endif

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
TERMNAMES += c/cons25 x/xterm
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
TERMNAMES += h/hurd m/mach-gnu-color
endif

TERMS = $(foreach term,$(TERMNAMES),\
          $(firstword $(wildcard /lib/terminfo/$(term)) \
                      $(wildcard /usr/share/terminfo/$(term))))

override_dh_auto_install:
	for file in $(TERMS); do \
		mkdir -p debian/di-utils-terminfo/`dirname $$file`; \
		cp -pL $$file debian/di-utils-terminfo/$$file; \
		chmod 644 debian/di-utils-terminfo/$$file; \
	done

	mkdir -p debian/di-utils/bin
	cp -pL list-devices-$(DEB_HOST_ARCH_OS) debian/di-utils/bin/list-devices
	chmod 755 debian/di-utils/bin/list-devices

## debian-installer-utils 1.94ubuntu1

=== debian/changelog ===
debian-installer-utils (1.94ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices:
      + New "mmc-partition" type for detecting partitions on MMC devices.
      + Make sure we also detect platform-omap MMCs.
      + Don't return entries for extended partitions.
    - Don't include the battery subsystem on calls to udevadm trigger.
    - log-output: Always install a no-op SIGCHLD handler, in case the
      subsidiary process starts a daemon which does not fully disconnect its
      standard file descriptors.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Dec 2012 13:33:21 +0000

debian-installer-utils (1.94) unstable; urgency=low

  [ Colin Watson ]
  * Use dpkg-buildflags.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Dec 2012 07:22:27 +0100

debian-installer-utils (1.93ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices:
      + New "mmc-partition" type for detecting partitions on MMC devices.
      + Make sure we also detect platform-omap MMCs.
      + Don't return entries for extended partitions.
    - Don't include the battery subsystem on calls to udevadm trigger.
    - log-output: Always install a no-op SIGCHLD handler, in case the
      subsidiary process starts a daemon which does not fully disconnect its
      standard file descriptors.
    - Use dpkg-buildflags.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Dec 2012 17:11:48 +0000

debian-installer-utils (1.93) unstable; urgency=low

  [ Colin Watson ]
  * Remove unnecessary sourcing of preseed.sh from fetch-url.

  [ Updated translations ]
  * Asturian (ast.po) by ivarela
  * Galician (gl.po) by Jorge Barreiro

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Oct 2012 13:51:30 +0200

debian-installer-utils (1.91ubuntu6) raring; urgency=low

  * Cherry-pick from trunk:
    - Use dpkg-buildflags.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Nov 2012 02:39:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: debian-installer-utils
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
-Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
-Vcs-Browser: http://git.debian.org/?p=d-i/debian-installer-utils.git
-Vcs-Git: git://git.debian.org/d-i/debian-installer-utils.git
+Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.15.7), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/debian-installer-utils.git
+XS-Debian-Vcs-Git: git://git.debian.org/d-i/debian-installer-utils.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer-utils/ubuntu
 
 Package: di-utils-shell
 Architecture: all

## debian-installer-utils 1.101

=== debian/changelog ===
debian-installer-utils (1.101) unstable; urgency=low

  [ Updated translations ]
  * Ukrainian (uk.po) by Yuri Chornoivan

 -- Christian Perrier <bubulle@debian.org>  Fri, 08 Nov 2013 22:39:00 +0100

debian-installer-utils (1.100) unstable; urgency=low

  [ Colin Watson ]
  * Use 'set -e' rather than '#! /bin/sh -e', to avoid accidents when
    debugging with 'sh -x'.

 -- Christian Perrier <bubulle@debian.org>  Mon, 30 Sep 2013 07:14:06 +0200

debian-installer-utils (1.99) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Fri, 06 Sep 2013 22:37:43 +0200

debian-installer-utils (1.98) unstable; urgency=low

  [ Joey Hess ]
  * fetch-url: Try to mountmedia when getting a file, to support preseed
    via USB from netboot.

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 14:19:06 +0200

debian-installer-utils (1.97) unstable; urgency=low

  * chroot-setup.sh: Make the fake initctl pass through "initctl version"
    calls, used by such things as invoke-rc.d to figure out whether it's
    running under Upstart (LP: #1182540).

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 May 2013 17:05:50 +0100

debian-installer-utils (1.96) unstable; urgency=low

  [ Samuel Thibault ]
  * Make iso-scan probing a lot faster on hurd-i386 by avoiding non-existing
    partitions.

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar
  * 

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 May 2013 12:39:01 +0200

debian-installer-utils (1.95) unstable; urgency=low

  [ Updated translations ]
  * Romanian (ro.po) by Ioan Eugen Stan

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Mar 2013 14:42:37 +0100

## debian-installer-utils 1.105ubuntu1

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
-Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.15.7), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/debian-installer-utils.git
-XS-Debian-Vcs-Git: git://git.debian.org/d-i/debian-installer-utils.git
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/debian-installer-utils.git
+XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/debian-installer-utils.git
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer-utils/ubuntu
 
 Package: di-utils-shell

## debian-installer-utils 1.105ubuntu1.14.04.1

=== Makefile ===
ifndef TARGETS
TARGETS=mapdevfs log-output
endif

CFLAGS=-Wall -W -Os -fomit-frame-pointer -g
INSTALL=install
STRIPTOOL=strip
STRIP = $(STRIPTOOL) --remove-section=.note --remove-section=.comment

all: $(TARGETS)

mapdevfs: mapdevfs.c
	$(CC) $(CFLAGS) $(LDFLAGS) $^ -o $@ -ldebian-installer

log-output: log-output.c
	$(CC) $(CFLAGS) $(LDFLAGS) $^ -o $@ -ldebian-installer

strip: $(TARGETS)
	$(STRIP) $^

clean:
	rm -f $(OBJECTS) $(TARGETS)

test:
	$(MAKE) -C testsuite test

## debian-installer-utils 1.105ubuntu1.14.10.1

=== debian/changelog ===
debian-installer-utils (1.105ubuntu1.14.10.1) utopic; urgency=medium

  * Add support for --- as a user-params separator (for parameters on the
    kernel command-line) for parameters to pass on to the installed system.
    (LP: #1402042)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 08 Jul 2015 13:51:24 -0400

debian-installer-utils (1.105ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - list-devices:
      + New "mmc-partition" type for detecting partitions on MMC devices.
      + Make sure we also detect platform-omap MMCs.
      + Don't return entries for extended partitions.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Feb 2014 12:21:39 +0000

debian-installer-utils (1.105) unstable; urgency=medium

  * Use debian-installer/allow_unauthenticated_ssl to imply wget
    --no-check-certificate, rather than overloading
    debian-installer/allow_unauthenticated.

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Feb 2014 11:39:54 +0000

debian-installer-utils (1.104ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - list-devices:
      + New "mmc-partition" type for detecting partitions on MMC devices.
      + Make sure we also detect platform-omap MMCs.
      + Don't return entries for extended partitions.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Feb 2014 18:51:39 +0000

debian-installer-utils (1.104) unstable; urgency=medium

  * Add HTTPS support to fetch-url, which will only work if d-i has been
    built with GNU wget; debian-installer/allow_unauthenticated is
    overloaded to imply the --no-check-certificate option (LP: #833994).

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Feb 2014 18:40:11 +0000

debian-installer-utils (1.103ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - list-devices:
      + New "mmc-partition" type for detecting partitions on MMC devices.
      + Make sure we also detect platform-omap MMCs.
      + Don't return entries for extended partitions.
    - Don't include the battery subsystem on calls to udevadm trigger.
  * Drop Ubuntu delta to use /proc/self/fd/4 rather than /dev/fd/4 in
    fetch-url-methods/http.  udevd reliably creates the /dev/fd symlink
    these days.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Feb 2014 17:26:21 +0000

debian-installer-utils (1.103) unstable; urgency=medium

  * fetch-url-methods/http: Cope with the slightly different no-such-file
    output produced by GNU wget, and with it needing to be invoked using
    --no-verbose rather than -q (LP: #1172101).
  * Merge from Ubuntu:
    - log-output: Always install a no-op SIGCHLD handler, in case the
      subsidiary process starts a daemon which does not fully disconnect its
      standard file descriptors (LP: #1021293).  See also the changelog for
      1.46.

 -- Colin Watson <cjwatson@debian.org>  Fri, 07 Feb 2014 17:16:07 +0000

debian-installer-utils (1.102) unstable; urgency=low

  [ Updated translations ]
  * Bosnian (bs.po) by Amila Valjevčić

 -- Christian Perrier <bubulle@debian.org>  Tue, 17 Dec 2013 08:08:43 +0100

debian-installer-utils (1.100ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices:
      + New "mmc-partition" type for detecting partitions on MMC devices.
      + Make sure we also detect platform-omap MMCs.
      + Don't return entries for extended partitions.
    - Don't include the battery subsystem on calls to udevadm trigger.
    - log-output: Always install a no-op SIGCHLD handler, in case the
      subsidiary process starts a daemon which does not fully disconnect its
      standard file descriptors.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Oct 2013 14:57:16 -0700

debian-installer-utils (1.98ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices:
      + New "mmc-partition" type for detecting partitions on MMC devices.
      + Make sure we also detect platform-omap MMCs.
      + Don't return entries for extended partitions.
    - Don't include the battery subsystem on calls to udevadm trigger.
    - log-output: Always install a no-op SIGCHLD handler, in case the
      subsidiary process starts a daemon which does not fully disconnect its
      standard file descriptors.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Jul 2013 00:09:42 +0100

debian-installer-utils (1.97ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices:
      + New "mmc-partition" type for detecting partitions on MMC devices.
      + Make sure we also detect platform-omap MMCs.
      + Don't return entries for extended partitions.
    - Don't include the battery subsystem on calls to udevadm trigger.


## debian-installer-utils 1.109

=== debian/changelog ===
debian-installer-utils (1.109) unstable; urgency=medium

  [ Ian Campbell ]
  * Accept "---" as user-params separator in addition to "--" (Closes: #762007)

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Oct 2014 07:41:14 +0200

debian-installer-utils (1.108) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Wed, 10 Sep 2014 13:58:20 +0200

debian-installer-utils (1.107) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Fix procfs mounting on GNU/kFreeBSD: it's called linprocfs, rather
    than procfs (Closes: #696901).

 -- Christian Perrier <bubulle@debian.org>  Thu, 22 May 2014 06:51:08 +0200

debian-installer-utils (1.106) unstable; urgency=high

  [ Wouter Verhelst ]
  * resolv.c: move here from partman-nbd, and install into di-utils.

  [ Colin Watson ]
  * Revert change in 1.103 to install no-op SIGCHLD handler even outside the
    --pass-stdout case, since if a process daemonises without closing its
    standard file descriptors and then tries to write to them it will
    receive SIGPIPE, and that breaks speech synthesis in d-i (see #739989).

 -- Colin Watson <cjwatson@debian.org>  Tue, 25 Feb 2014 00:12:49 +0000

## debian-installer-utils 1.110

=== debian/changelog ===
debian-installer-utils (1.110) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Mar 2015 07:42:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: debian-installer-utils
 Section: debian-installer
 Priority: standard
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
-XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/debian-installer-utils.git
-XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/debian-installer-utils.git
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer-utils/ubuntu
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/debian-installer-utils.git
+Vcs-Git: git://anonscm.debian.org/d-i/debian-installer-utils.git
 
 Package: di-utils-shell
 Architecture: all

## debian-installer-utils 1.113ubuntu1.16.04.1

=== debian/changelog ===
debian-installer-utils (1.113ubuntu1.16.04.1) xenial; urgency=medium

  * Make sure udevd internal state is up-to-date before calling trigger &
    settle. This insures that newly anna-installed udev rules and kernel
    modules are loaded by udevd for correct processing of the udev
    rules. LP: #1714505.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 17 Sep 2017 00:41:44 +0100

debian-installer-utils (1.113ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - list-devices:
      + New "mmc-partition" type for detecting partitions on MMC devices.
      + Make sure we also detect platform-omap MMCs.
      + Don't return entries for extended partitions.
    - Don't include the battery subsystem on calls to udevadm trigger.
    - log-output: Always install a no-op SIGCHLD handler, in case the
      subsidiary process starts a daemon which does not fully disconnect its
      standard file descriptors.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 23 Dec 2015 15:15:15 -0500

debian-installer-utils (1.113) unstable; urgency=high

  * Add support for NVMe devices (Closes: #799117). Thanks to Mario
    Limonciello for the report and the patch.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 03 Dec 2015 00:47:43 +0100

debian-installer-utils (1.112) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Jul 2015 18:28:59 +0200

debian-installer-utils (1.111) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Jun 2015 07:06:27 +0200

debian-installer-utils (1.109ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - list-devices:
      + New "mmc-partition" type for detecting partitions on MMC devices.
      + Make sure we also detect platform-omap MMCs.
      + Don't return entries for extended partitions.
    - Don't include the battery subsystem on calls to udevadm trigger.
    - log-output: Always install a no-op SIGCHLD handler, in case the
      subsidiary process starts a daemon which does not fully disconnect its
      standard file descriptors.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Nov 2014 15:34:00 +0000

## debian-installer-utils 1.113ubuntu1.17.04.1

=== debian/changelog ===
debian-installer-utils (1.113ubuntu1.17.04.1) zesty; urgency=medium

  * Make sure udevd internal state is up-to-date before calling trigger &
    settle. This insures that newly anna-installed udev rules and kernel
    modules are loaded by udevd for correct processing of the udev
    rules. LP: #1714505.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 17 Sep 2017 00:41:44 +0100

## debian-installer-utils 1.114

=== debian/changelog ===
debian-installer-utils (1.114) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Feb 2016 08:08:37 +0100

## debian-installer-utils 1.118

=== debian/changelog ===
debian-installer-utils (1.118) unstable; urgency=medium

  [ Josh Triplett ]
  * fetch-url-methods/http: Set User-Agent to "debian-installer" when calling
    wget. (Closes: #850800)

 -- Philipp Kern <pkern@debian.org>  Tue, 31 Jan 2017 00:27:25 +0100

debian-installer-utils (1.117) unstable; urgency=medium

  * add checksum verification to fetch-url

 -- Philip Hands <phil@hands.com>  Wed, 23 Nov 2016 22:40:56 +0100

debian-installer-utils (1.116) unstable; urgency=medium

  * Team upload.
  * vt102-di: Tinker vt102 entry, to avoid using ^J, since various levels of
    tty may be adding a ^M and thus scrambling the output, use generic escape
    sequence instead.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Sep 2016 21:53:23 +0200

debian-installer-utils (1.115) unstable; urgency=medium

  * Team upload.
  * rules: Add screen terminfo for proper screen terminal support.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 15 Sep 2016 02:04:42 +0200

## debian-installer-utils 1.119

=== debian/changelog ===
debian-installer-utils (1.119) unstable; urgency=medium

  * fix: propagate dot-containing options to target kernel cmdline
    (Closes: #853855)

 -- Philip Hands <phil@hands.com>  Sat, 01 Apr 2017 11:56:13 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/debian-installer-utils.git
-Vcs-Git: git://anonscm.debian.org/d-i/debian-installer-utils.git
+Vcs-Browser: https://anonscm.debian.org/cgit/d-i/debian-installer-utils.git
+Vcs-Git: https://anonscm.debian.org/git/d-i/debian-installer-utils.git
 
 Package: di-utils-shell
 Architecture: all

## debian-installer-utils 1.122

=== debian/changelog ===
debian-installer-utils (1.122) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Fix "list-devices partition" to also report LVM logical volumes.
    (Closes: #868848)

  [ Updated translations ]
  * Lithuanian (lt.po) by Rimas Kudelis
  * Norwegian Nynorsk (nn.po) by Allan Nordhøy

 -- Christian Perrier <bubulle@debian.org>  Wed, 29 Nov 2017 22:03:57 +0100

debian-installer-utils (1.120) unstable; urgency=medium

  [ Updated translations ]
  * Greek (el.po) by Sotirios Vrachas

 -- Christian Perrier <bubulle@debian.org>  Fri, 24 Nov 2017 06:47:55 +0100

## debian-installer-utils 1.128

=== debian/changelog ===
debian-installer-utils (1.128) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 11 Aug 2018 22:26:25 +0200

debian-installer-utils (1.127) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Serbian (sr.po) by Слободан Симић(Slobodan Simić)
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Mon, 12 Feb 2018 18:47:47 +0100

debian-installer-utils (1.126) unstable; urgency=medium

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Wed, 31 Jan 2018 18:56:22 +0100

debian-installer-utils (1.125) unstable; urgency=medium

  [ Updated translations ]
  * Icelandic (is.po) by Sveinn í Felli

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Jan 2018 16:13:59 +0100

debian-installer-utils (1.124) unstable; urgency=medium

  [ Updated translations ]
  * Nepali (ne.po) by Jeewal Kunwar

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Dec 2017 09:25:28 +0100

debian-installer-utils (1.123) unstable; urgency=medium

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro

 -- Christian Perrier <bubulle@debian.org>  Sun, 10 Dec 2017 18:34:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/debian-installer-utils.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/debian-installer-utils.git
+Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer-utils
+Vcs-Git: https://salsa.debian.org/installer-team/debian-installer-utils.git
 
 Package: di-utils-shell
 Architecture: all

## debian-installer-utils 1.129

=== debian/changelog ===
debian-installer-utils (1.129) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Galician (gl.po) by mantinan

  [ Holger Wansing ]
  * Change deprecated Priority: extra into optional.

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 29 Sep 2018 20:08:46 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Package: di-utils-exit-installer
 Architecture: all
 Depends: ${misc:Depends}
-Priority: extra
+Priority: optional
 XB-Installer-Menu-Item: 99000
 Description: Exit installer
 Package-Type: udeb

## debian-installer-utils 1.130

=== debian/changelog ===
debian-installer-utils (1.130) unstable; urgency=medium

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.

  [ Cyril Brulebois ]
  * Stop propagating BOOTIF to the installed system: BOOTIF=<mac-address>
    is added by PXELINUX when the “IPAPPEND 2” option is used; drop it
    similarly to what's done for BOOTIMAGE (Closes: #921444). Thanks to
    Valentín Gutierrez for the detailed bug report and the patch!

  [ Updated translations ]
  * Persian (fa.po) by nima sahraneshin

 -- Cyril Brulebois <kibi@debian.org>  Fri, 08 Feb 2019 03:10:33 +0100

## debian-installer-utils 1.131

=== debian/changelog ===
debian-installer-utils (1.131) unstable; urgency=medium
  * Team upload

  [ Updated translations ]
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 05 Mar 2019 20:38:43 +0100

## debian-installer-utils 1.132

=== debian/changelog ===
debian-installer-utils (1.132) unstable; urgency=high

  * Team upload

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927528)

  [ Ben Hutchings ]
  * Always set APT option if --{with,no}-recommends options are used
    (Closes: #931287)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 30 Jun 2019 16:49:06 +0100

## debian-installer-utils 1.132+deb10u1

=== debian/changelog ===
debian-installer-utils (1.132+deb10u1) buster; urgency=high

  * Team upload

  [ Steve McIntyre ]
  * Backport from unstable:
    list-devices-linux: Support partitions on USB UAS devices
    Closes: #980455

 -- Steve McIntyre <93sam@debian.org>  Tue, 19 Jan 2021 08:49:06 +0000

## debian-installer-utils 1.132+nmu1

=== debian/changelog ===
debian-installer-utils (1.132+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:15:01 +0800

## debian-installer-utils 1.133

=== debian/changelog ===
debian-installer-utils (1.133) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Amharic (am.po) by leela
  * Croatian (hr.po) by gogogogi

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 13 Nov 2019 22:18:44 +0100

## debian-installer-utils 1.134

=== debian/changelog ===
debian-installer-utils (1.134) unstable; urgency=medium

  * Team upload

  [ Philip Hands ]
  * typos (it's vs. its)

  [ Raphaël Hertzog ]
  * Use /proc/self/fd/4 instead of /dev/fd/4 to unbreak fetch-url with recent
    udev versions that no longer setup the /dev/fd symlink. Closes: #967546

  [ Updated translations ]
  * Persian (fa.po) by Abbas Baharforoosh
  * Polish (pl.po) by Bartosz Feński

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 24 Sep 2020 18:31:46 +0200

## debian-installer-utils 1.135

=== debian/changelog ===
debian-installer-utils (1.135) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio

  [ New translations ]
  * Kabyle (kab.po) by Slimane Selyan Amiri
  * Occitan (oc.po) by Quentin PAGÈS

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 06 Nov 2020 19:24:53 +0100

## debian-installer-utils 1.136

=== debian/changelog ===
debian-installer-utils (1.136) unstable; urgency=medium

  * Team upload

  * list-devices-hurd: Support /dev/wd* from rumpdisk.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 20 Nov 2020 14:07:51 +0100

## debian-installer-utils 1.138

=== debian/changelog ===
debian-installer-utils (1.138) unstable; urgency=medium

  * Team upload

  * list-devices-hurd: Support partitions from rumpdisk.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 26 Nov 2020 10:03:19 +0100

debian-installer-utils (1.137) unstable; urgency=medium

  * Team upload

  * list-devices-hurd: Support /dev/cd* from rumpdisk.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 26 Nov 2020 02:33:49 +0100

## debian-installer-utils 1.139

=== debian/changelog ===
debian-installer-utils (1.139) unstable; urgency=medium

  * Team upload
  * list-devices-linux: Support partitions on USB UAS devices
  * list-devices-linux: Remove mention of udevinfo, it went away many
    years ago.

 -- Steve McIntyre <93sam@debian.org>  Sat, 16 Jan 2021 18:30:43 +0000

## debian-installer-utils 1.140

=== debian/changelog ===
debian-installer-utils (1.140) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Arabic (ar.po) by zer0-x
  * Hindi (hi.po) by KushagraKarira
  * Tamil (ta.po) by Vasudevan Tirumurti
  * Traditional Chinese (zh_TW.po) by louies0623

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 24 Feb 2021 19:25:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: debian-installer
 Priority: standard
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Bastian Blank <waldi@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
+Uploaders: Bastian Blank <waldi@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
 Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer-utils
 Vcs-Git: https://salsa.debian.org/installer-team/debian-installer-utils.git

## debian-installer-utils 1.140+11.0trisquel1

=== debian/changelog ===
debian-installer-utils (1.140+11.0trisquel1) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 17 Nov 2022 21:33:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: debian-installer-utils
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Bastian Blank <waldi@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
 Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer-utils

## debian-installer-utils 1.142

=== debian/changelog ===
debian-installer-utils (1.142) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Norwegian Nynorsk (nn.po) by aujawindar
  * Vietnamese (vi.po) by Trần Ngọc Quân
  * Simplified Chinese (zh_CN.po) by Wenbin Lv

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 31 Jul 2022 14:30:40 +0200

debian-installer-utils (1.141) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for di-utils-mapdevfs,
    di-utils-terminfo.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.

  [ Samuel Thibault ]
  * list-devices-hurd: Do not check for kernel messages about cd0 since it's
    coming from rump. We are sure that it's a CD device anyway.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Feb 2022 22:22:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: debian-installer-utils
 Section: debian-installer
 Priority: standard
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
+Build-Depends: debhelper-compat (= 13), libdebconfclient0-dev, po-debconf, libdebian-installer4-dev
 Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer-utils
 Vcs-Git: https://salsa.debian.org/installer-team/debian-installer-utils.git
 
 Package: di-utils-shell
 Architecture: all
-Depends: ${misc:Depends}, di-utils (>= 1.62)
+Depends: ${misc:Depends}, di-utils
 XB-Installer-Menu-Item: 95000
 Description: Execute a shell
 Package-Type: udeb
@@ -37,7 +37,7 @@
 
 Package: di-utils-mapdevfs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: mapdevfs utility for the debian installer
 Package-Type: udeb
 
@@ -45,3 +45,4 @@
 Architecture: any
 Description: Terminfo entries needed by newt/slang in debian installer
 Package-Type: udeb
+Depends: ${misc:Depends}

## debian-installer-utils 1.143

=== debian/changelog ===
debian-installer-utils (1.143) unstable; urgency=medium

  * Team upload

  * fetch-url: enable base64://... URLs

 -- Philip Hands <phil@hands.com>  Tue, 11 Oct 2022 19:23:07 +0200

## debian-installer-utils 1.144

=== debian/changelog ===
debian-installer-utils (1.144) unstable; urgency=medium

  * Team upload

  [ Holger Wansing ]
  * Set Standards-Version to 3.8.4 (checked).

  [ Updated translations ]
  * Amharic (am.po) by Danial Behzadi
  * Asturian (ast.po) by Danial Behzadi
  * Bengali (bn.po) by Danial Behzadi

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 08 Jan 2023 18:52:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: standard
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Colin Watson <cjwatson@debian.org>
+Standards-Version: 3.8.4
 Build-Depends: debhelper-compat (= 13), libdebconfclient0-dev, po-debconf, libdebian-installer4-dev
 Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer-utils
 Vcs-Git: https://salsa.debian.org/installer-team/debian-installer-utils.git
@@ -31,7 +32,7 @@
 
 Package: di-utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, busybox-udeb (>= 1:1.35.0-2)
 Description: Miscellaneous utilities for the debian installer
 Package-Type: udeb

## debian-installer-utils 1.145

=== debian/changelog ===
debian-installer-utils (1.145) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Revert "Declare Standards-Version"

  [ Sven Joachim ]
  * Include xterm terminfo entry on all architectures, fixing nano issues
    in the graphical installer (Closes: #1026027).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 25 Feb 2023 17:35:01 +0100

## debian-installer-utils 1.146

=== debian/changelog ===
debian-installer-utils (1.146) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Polish (pl.po) by Matthaiks

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 07 May 2023 13:49:18 +0200

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CC := gcc
else
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

export DEB_CFLAGS_MAINT_APPEND := -Wall -W -Os -fomit-frame-pointer

CFLAGS := $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

TERMNAMES = a/ansi d/dumb s/screen x/xterm

ifeq ($(DEB_HOST_ARCH_OS),linux)
TERMNAMES += l/linux
endif

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
TERMNAMES += c/cons25
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
TERMNAMES += h/hurd m/mach-gnu-color
endif

TERMS = $(foreach term,$(TERMNAMES),\
          $(firstword $(wildcard /lib/terminfo/$(term)) \
                      $(wildcard /usr/share/terminfo/$(term))))

override_dh_auto_build:
	$(MAKE) CC=$(CC) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	for file in $(TERMS); do \
		mkdir -p debian/di-utils-terminfo/`dirname $$file`; \
		cp -pL $$file debian/di-utils-terminfo/$$file; \
		chmod 644 debian/di-utils-terminfo/$$file; \
	done
	tic vt102-di -o debian/di-utils-terminfo/lib/terminfo

	mkdir -p debian/di-utils/bin
	cp -pL list-devices-$(DEB_HOST_ARCH_OS) debian/di-utils/bin/list-devices
	chmod 755 debian/di-utils/bin/list-devices

## debian-installer-utils 1.150

=== debian/changelog ===
debian-installer-utils (1.150) unstable; urgency=medium

  [ Updated translations ]
  * Indonesian (id.po) by Andika Triwidada
  * Georgian (ka.po) by Temuri Doghonadze

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Nov 2024 21:37:46 +0100

debian-installer-utils (1.149) unstable; urgency=medium

  [ Colin Watson ]
  * user-params: Exclude initrd, since it's sometimes hard to avoid syslinux
    appending it after "---".

  [ Luca Boccassi ]
  * chroot_setup.sh: Mount efivarfs in /target if available.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jun 2024 09:26:41 +0100

debian-installer-utils (1.148) unstable; urgency=medium

  [ Philip Hands ]
  * fetch-url: when $dest == "", attempt the fetch, but discard the result
  * fetch-url-methods/file: be more circumspect about (un)mounting /media
    Closes: #1051964

 -- Steve McIntyre <93sam@debian.org>  Mon, 11 Dec 2023 14:44:30 +0000

debian-installer-utils (1.147) unstable; urgency=medium

  [ Sven Joachim ]
  * Fix FTBFS by writing the vt102-di terminfo entry to /usr/share/terminfo
    (Closes: #1040048).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 02 Jul 2023 07:29:32 +0200

## debian-installer-utils 1.151

=== debian/changelog ===
debian-installer-utils (1.151) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Persian (fa.po) by Danial Behzadi
  * Hebrew (he.po) by Yaron Shahrabani

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 29 Nov 2024 23:01:06 +0100

## debian-installer-utils 1.152

=== debian/changelog ===
debian-installer-utils (1.152) unstable; urgency=medium

  * Team upload.

  [ Emanuele Rocca ]
  * list-devices-linux: recognize persistent memory block devices (Closes: #879106)

  [ Updated translations ]
  * Persian (fa.po) by Danial Behzadi
  * Hungarian (hu.po) by Szia Tomi
  * Polish (pl.po) by Matthaiks
  * Romanian (ro.po) by Remus-Gabriel Chelu

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 04 Feb 2025 22:46:29 +0100

## debian-installer-utils 1.153

=== debian/changelog ===
debian-installer-utils (1.153) unstable; urgency=medium

  [ Helmut Grohne ]
  * chroot-setup.sh: Duplicate aliased diversions.

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Serbian (sr.po) by Мирослав Николић

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 Feb 2025 11:17:13 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: standard
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.8.4
 Build-Depends: debhelper-compat (= 13), libdebconfclient0-dev, po-debconf, libdebian-installer4-dev
 Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer-utils
 Vcs-Git: https://salsa.debian.org/installer-team/debian-installer-utils.git

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,8 @@
 		cp -pL $$file debian/di-utils-terminfo/$$file; \
 		chmod 644 debian/di-utils-terminfo/$$file; \
 	done
-	tic vt102-di -o debian/di-utils-terminfo/lib/terminfo
+	mkdir -p debian/di-utils-terminfo/usr/share/terminfo
+	tic vt102-di -o debian/di-utils-terminfo/usr/share/terminfo
 
 	mkdir -p debian/di-utils/bin
 	cp -pL list-devices-$(DEB_HOST_ARCH_OS) debian/di-utils/bin/list-devices

## debian-installer-utils 1.154

=== debian/changelog ===
debian-installer-utils (1.154) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Uyghur (ug.po) by Abduqadir Abliz

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 26 Jun 2025 21:43:12 +0200
